wms (mapserver) and postgis: the layer is not added

2009-05-21 10:46 AM - Giovanni Manghi

Status: Closed

Priority: Low

Assignee: Marco Hugentobler

Category: Web Services clients/WMS

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: wontfix

Crashes QGIS or corrupts data: Copied to github as #: 11770

Description

I configured a mapserver/wms server and I noticed that if in the mapfile a layer is specified as a postgis layer it doesn't appear in the

layout when is added. At the beginning I supposed to be a problem in the mapfile, but then I made tests with two other clients (gvSIG and

uDIG) and the layer appeared correctly.

I tested on Ubuntu 8.10 and 9.04 Qgis from 1.0.2 to 1.1 (from repository) and 1.2 (compiled from trunk today) and all presented the same

behavior.

if you need to do tests you can use the following address

http://mapserver.uevora.pt/cgi-bin/ue_wms

in the available layers you'll see

"country" is a shapefile

"Cont_Freg_v2" is a shapefile

"topo_c" is postgis

"avif" is postgis

"ferrovias" is a shapefile

postgis layers are defined as the following

LAYER

      NAME  "avif" 

      METADATA

            "wms_title"   "Avifauna" 

            "wms_abstract"  "Zonas de Protecção Especial para a Avifauna" 

        END

PROJECTION

"init=epsg:20790" 

END

      TYPE           POLYGON

      STATUS         ON

      CONNECTION     "user=*** password=*** dbname=*** host=localhost port=5432" 

      CONNECTIONTYPE postgis

      DATA           "the_geom from avif" 
      DUMP           TRUE

      CLASS

         NAME        "Avifauna" 

                STYLE

                OUTLINECOLOR 0 0 0

                COLOR 70 123 20

                END

      END

   END

History

#1 - 2009-05-24 02:44 PM - Giovanni Manghi

update:

if the project is defined in wgs84 and the layers are added consequently, they show up correctly.

#2 - 2009-05-25 01:59 AM - Marco Hugentobler

- Resolution set to wontfix

- Status changed from Open to Closed

This is a bug in the configuration of the WMS server. The lat/long bounding box is given as:

<LatLonBoundingBox minx="-177.127" miny="-8.21058e+17" maxx="171.967" maxy="2.93579e+13" />

Consequently, QGIS asks this extent if it is the first layer added to the project. The server then tells, that it cannot deliver this extent.
